
import os
import random

import pygame, pygame.image
from pygame.locals import *

import options


gSoundDict={}

directories={'Data/Sounds/Ping':'ping',
             'Data/Sounds/Cheer':'cheer',
             'Data/Sounds/LaunchGood':'launchGood',
             'Data/Sounds/LaunchBad':'launchBad',
             }

def loadSounds():
    for d in directories:
        tag=directories[d]
        soundList=gSoundDict.get(tag,[])
        for f in os.listdir(d):
            s=pygame.mixer.Sound(os.path.join(d,f))
            soundList.append(s)
        gSoundDict[tag]=soundList


    


def playSound(tag):
    if not options.gSound:
        return
    
    soundList=gSoundDict[tag]
    sound=random.choice(soundList)
    sound.play()
